BLOGTIMES
2021/05/03

OmniOS bloody を pkg update しようとしたらエラーが出たので

  omnios 
このエントリーをはてなブックマークに追加

OmniOS bloody をインストールしているマシンをpkg updateしようとしたら、The following packages all deliver file actionsというエラーが出てアップデートさせてくれなくて困ったので、忘れないうちに対応方法をメモ。

パッケージ名が変わっているものがあると、コンフリクトしたような感じになるみたいですね。
以下のスレッドにあるとおり、pkg のキャッシュをリフレッシュしたら問題なくアップデートできました。

Update of OmniOS bloody fails due to Python package conflict | Topicbox

Can you try again after doing an explicit package refresh?
% pfexec pkg refresh --full
% pfexec pkg update -f

    トラックバックについて
    Trackback URL:
    お気軽にどうぞ。トラックバック前にポリシーをお読みください。[policy]
    このエントリへのTrackbackにはこのURLが必要です→https://blog.cles.jp/item/12452
    Trackbacks
    このエントリにトラックバックはありません
    Comments
    愛のあるツッコミをお気軽にどうぞ。[policy]
    古いエントリについてはコメント制御しているため、即時に反映されないことがあります。
    コメントはありません
    Comments Form

    コメントは承認後の表示となります。
    OpenIDでログインすると、即時に公開されます。

    OpenID を使ってログインすることができます。

    Identity URL: Yahoo! JAPAN IDでログイン